# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgArchiveDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgArchiveDialog(object):
    def setupUi(self, HgArchiveDialog):
        HgArchiveDialog.setObjectName("HgArchiveDialog")
        HgArchiveDialog.resize(400, 149)
        HgArchiveDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HgArchiveDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgArchiveDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.archivePicker = EricPathPicker(parent=HgArchiveDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.archivePicker.sizePolicy().hasHeightForWidth())
        self.archivePicker.setSizePolicy(sizePolicy)
        self.archivePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.archivePicker.setObjectName("archivePicker")
        self.gridLayout.addWidget(self.archivePicker, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=HgArchiveDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.typeComboBox = QtWidgets.QComboBox(parent=HgArchiveDialog)
        self.typeComboBox.setObjectName("typeComboBox")
        self.gridLayout.addWidget(self.typeComboBox, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HgArchiveDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.prefixEdit = QtWidgets.QLineEdit(parent=HgArchiveDialog)
        self.prefixEdit.setObjectName("prefixEdit")
        self.gridLayout.addWidget(self.prefixEdit, 2, 1, 1, 1)
        self.subReposCheckBox = QtWidgets.QCheckBox(parent=HgArchiveDialog)
        self.subReposCheckBox.setObjectName("subReposCheckBox")
        self.gridLayout.addWidget(self.subReposCheckBox, 3, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgArchiveDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 2)

        self.retranslateUi(HgArchiveDialog)
        self.buttonBox.accepted.connect(HgArchiveDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgArchiveDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgArchiveDialog)
        HgArchiveDialog.setTabOrder(self.archivePicker, self.typeComboBox)
        HgArchiveDialog.setTabOrder(self.typeComboBox, self.prefixEdit)
        HgArchiveDialog.setTabOrder(self.prefixEdit, self.subReposCheckBox)

    def retranslateUi(self, HgArchiveDialog):
        _translate = QtCore.QCoreApplication.translate
        HgArchiveDialog.setWindowTitle(_translate("HgArchiveDialog", "Mercurial Archive"))
        self.label.setText(_translate("HgArchiveDialog", "Archive:"))
        self.archivePicker.setToolTip(_translate("HgArchiveDialog", "Enter the file name of the archive"))
        self.label_3.setText(_translate("HgArchiveDialog", "Type:"))
        self.typeComboBox.setToolTip(_translate("HgArchiveDialog", "Select the archive type"))
        self.label_2.setText(_translate("HgArchiveDialog", "Prefix:"))
        self.prefixEdit.setToolTip(_translate("HgArchiveDialog", "Enter the directory prefix for the files in the archive"))
        self.subReposCheckBox.setToolTip(_translate("HgArchiveDialog", "Select to recurse into subrepositories"))
        self.subReposCheckBox.setText(_translate("HgArchiveDialog", "Include Subrepositories"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
